ReflectionClass::getParentClass
ReflectionClass::getProperty
ReflectionClass
PHP Manual

# ReflectionClass::getProperties

(PHP 5)

ReflectionClass::getProperties — Gets properties

### Description

public ReflectionProperty ReflectionClass::getProperties ([ string `$filter` ] )

Gets the properties.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`filter`

  The optional filter.

### Return Values

A ReflectionProperty.

### See Also

- ReflectionClass::getProperty - Gets property

ReflectionClass::getParentClass
ReflectionClass::getProperty
ReflectionClass
PHP Manual